Name:    kcm_imchooser
Summary: Input method chooser configuration for KDE
Version: 0.2
Release: 1%{?dist}

Group:   Applications/System
License: GPLv3
URL:     git://anongit.kde.org/scratch/xuetianweng/kcm_imchooser.git
Source0: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs-devel
BuildRequires: cmake

Requires: kde-runtime%{?_kde_version: >= %{_kde4_version}}
Requires: ibus-qt
Requires: ibus-setup

%description
IBus input method chooser configuration and daemon for KDE

%prep
%setup -q -n %{name}


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kcm_imchooser --with-kde

%check
#desktop-file-validate %{buildroot}%{_kde4_datadir}/kde4/services/kcm_imchooser.desktop


%clean
rm -rf %{buildroot}

%post

%postun
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null
fi

%posttrans
update-desktop-database -q &> /dev/null


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING
%{_kde4_libdir}/kde4/*.so
%{_kde4_datadir}/kde4/services/kcm_imchooser.desktop
%{_kde4_datadir}/kde4/services/kded/imchooserstarter.desktop

%changelog
* Sat Feb 15 2014 Rajeesh K Nambiar <rajeeshknambiar@fedoraproject.org> - 0.2-1
- Updated to incorporate IBus preferences

* Sun Jan 26 2014 Rajeesh K Nambiar <rajeeshknambiar@fedoraproject.org> - 0.1-1
- Initial packaging
